package main

import (
	"database/sql"
	"net/http"

	"golang.org/x/crypto/ssh"
)

type Anvil struct {
	Strikers []Striker
	Hosts    []Host
	BMCs     []BMC
	Switches []Switch
	PDUs     []PDU
	UPSes    []UPS
}

type WebClient struct {
	*http.Client
}

type SSHClient struct {
	*ssh.Client
}

type PostgresClient struct {
	*sql.DB
}

type Striker struct {
	FQDN string
}

type Host struct {
	FQDN string
}

type BMC struct {
}

type Switch struct {
}

type PDU struct {
}

type UPS struct {
}
